/*
 * File: admin/view/ArticleManagePanel.js
 *
 * This file was generated by Sencha Architect version 2.2.2.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.1.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.1.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('CMS.view.ArticleManagePanel', {
    extend: 'Ext.panel.Panel',
    alias: 'widget.articleManagePanel',

    layout: {
        type: 'border'
    },
    title: '文章管理',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            items: [
                {
                    xtype: 'treepanel',
                    region: 'west',
                    itemId: 'channelTreePanel',
                    width: 150,
                    collapsed: false,
                    collapsible: true,
                    title: '栏目列表',
                    store: 'Channel',
                    displayField: 'name',
                    folderSort: true,
                    root: {
                        name: '根栏目'
                    },
                    viewConfig: {
                        emptyText: '[没有名称]',
                        listeners: {
                            itemclick: {
                                fn: me.onViewItemClick,
                                scope: me
                            }
                        }
                    },
                    tools: [
                        {
                            xtype: 'tool',
                            itemId: 'refreshChannelTree',
                            tooltip: '刷新',
                            type: 'refresh'
                        }
                    ]
                },
                {
                    xtype: 'tabpanel',
                    addOrShowTab: function(type, id, name) {
                        var _id = 'article_' + type + id;
                        var tab = this.getComponent(_id);
                        if (!tab) {
                            switch(type){
                                case 'channel' :
                                tab = Ext.create('CMS.view.ArticleListPanel', {
                                    id : _id,
                                    channelId : id,
                                    title : name
                                });
                                break;
                                case 'edit' : 
                                tab = Ext.create('CMS.view.ArticleEditPanel', {
                                    id: _id,
                                    articleId : id,
                                    title : name
                                });
                                break;
                            }
                            this.list.push(_id);
                            this.add(tab);
                        }
                        this.setActiveTab(tab);
                        return tab;
                    },
                    closeTab: function(type, id) {
                        var tab = this.getComponent('article_' + type + id);
                        if(tab){
                            tab.close();
                        }
                    },
                    closeAllItems: function() {
                        var list = this.list.slice(0);
                        for (var i = 0; i < list.length; i++) {
                            this.getComponent(list[i]).close();
                        }
                    },
                    list: [
                        
                    ],
                    region: 'center',
                    itemId: 'articleTabPanel'
                }
            ]
        });

        me.callParent(arguments);
    },

    onViewItemClick: function(dataview, record, item, index, e, eOpts) {
        if (!record.isRoot() && !record.hasChildNodes()) {
            CMS.app.getController('Article').getArticleManagePanel().getComponent('articleTabPanel').addOrShowTab('channel', record.data.id, record.data.name);
        }
    }

});